%------------------------------------------------------------------------------
% File     : LCL623^1 : TPTP v7.0.0. Released v3.6.0.
% Domain   : Logical Calculi
% Problem  : The Loeb formula is a theorem in GL
% Version  : [Ben08] axioms.
% English  :

% Refs     : [Fit07] Fitting (2007), Modal Proof Theory
%          : [Ben08] Benzmueller (2008), Email to G. Sutcliffe
% Source   : [Ben08]
% Names    : Fitting-HB-11 [Ben08]

% Status   : Theorem
% Rating   : 0.00 v6.0.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.20 v5.3.0, 0.40 v5.2.0, 0.20 v5.1.0, 0.40 v5.0.0, 0.20 v4.1.0, 0.00 v4.0.0, 0.33 v3.7.0
% Syntax   : Number of formulae    :   37 (   0 unit;  20 type;  15 defn)
%            Number of atoms       :  101 (  15 equality;  52 variable)
%            Maximal formula depth :   11 (   5 average)
%            Number of connectives :   57 (   3   ~;   1   |;   2   &;  50   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :   85 (  85   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   25 (  20   :;   0   =)
%            Number of variables   :   40 (   2 sgn;   8   !;   4   ?;  28   ^)
%                                         (  40   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : 
%------------------------------------------------------------------------------
%----Include simple maths definitions and axioms
include('Axioms/LCL008^0.ax').
%------------------------------------------------------------------------------
%----Axioms
thf(gl,axiom,(
    ! [R: $i > $i > $o,X: $i > $o] :
      ( mvalid @ ( mimpl @ ( mbox @ R @ ( mimpl @ ( mbox @ R @ X ) @ X ) ) @ ( mbox @ R @ X ) ) ) )).

%----Conjecture
thf(loeb,conjecture,(
    ! [R: $i > $i > $o,P: $i > $o] :
      ( mvalid @ ( mimpl @ ( mbox @ R @ ( mimpl @ ( mbox @ R @ P ) @ P ) ) @ ( mbox @ R @ P ) ) ) )).

%------------------------------------------------------------------------------
