%------------------------------------------------------------------------------
% File     : LCL629^1 : TPTP v7.0.0. Released v3.6.0.
% Domain   : Logical Calculi
% Problem  : Simple theorem about knowledge
% Version  : [Ben08] axioms.
% English  :

% Refs     : [Fit07] Fitting (2007), Modal Proof Theory
%          : [Ben08] Benzmueller (2008), Email to G. Sutcliffe
% Source   : [Ben08]
% Names    : Fitting-HB-Knowledge-1 [Ben08]

% Status   : Theorem
% Rating   : 0.25 v7.0.0, 0.14 v6.4.0, 0.17 v6.3.0, 0.40 v6.2.0, 0.29 v6.1.0, 0.14 v6.0.0, 0.43 v5.5.0, 0.50 v5.4.0, 0.40 v5.3.0, 0.60 v5.1.0, 0.80 v5.0.0, 0.60 v4.1.0, 0.33 v3.7.0
% Syntax   : Number of formulae    :   42 (   0 unit;  23 type;  15 defn)
%            Number of atoms       :  129 (  15 equality;  57 variable)
%            Maximal formula depth :   14 (   5 average)
%            Number of connectives :   83 (   3   ~;   1   |;   2   &;  76   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :   96 (  96   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   28 (  23   :;   0   =)
%            Number of variables   :   44 (   2 sgn;  12   !;   4   ?;  28   ^)
%                                         (  44   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : 
%------------------------------------------------------------------------------
%----Include simple maths definitions and axioms
include('Axioms/LCL008^0.ax').
%------------------------------------------------------------------------------
%----Signature
thf(a,type,(
    a: $i > $i > $o )).

thf(b,type,(
    b: $i > $i > $o )).

thf(c,type,(
    c: $i > $i > $o )).

%----Axioms
thf(knowledge_implies_truth,axiom,(
    ! [X: $i > $o,R: $i > $i > $o] :
      ( mvalid @ ( mimpl @ ( mbox @ R @ X ) @ X ) ) )).

thf(positive_introspection,axiom,(
    ! [X: $i > $o,R: $i > $i > $o] :
      ( mvalid @ ( mimpl @ ( mbox @ R @ X ) @ ( mbox @ R @ ( mbox @ R @ X ) ) ) ) )).

thf(negitive_introspection,axiom,(
    ! [X: $i > $o,R: $i > $i > $o] :
      ( mvalid @ ( mimpl @ ( mnot @ ( mbox @ R @ X ) ) @ ( mbox @ R @ ( mnot @ ( mbox @ R @ X ) ) ) ) ) )).

%----Conjecture
thf(thm,conjecture,(
    ! [X: $i > $o,Y: $i > $o] :
      ( mvalid @ ( mimpl @ ( mand @ ( mbox @ a @ ( mnot @ ( mbox @ b @ ( mnot @ ( mbox @ b @ ( mnot @ Y ) ) ) ) ) ) @ ( mbox @ a @ X ) ) @ ( mbox @ a @ ( mnot @ ( mbox @ b @ ( mimpl @ X @ Y ) ) ) ) ) ) )).

%------------------------------------------------------------------------------
