%------------------------------------------------------------------------------
% File     : PHI007^5 : TPTP v7.0.0. Released v6.4.0.
% Domain   : Philosophy
% Problem  : Inconsistency of the axioms in Goedel's original manuscript
% Version  : [Ben16] axioms : Biased > Reduced > Biased.
% English  : Scott's variant without the conjunct in the definition of essence.

% Refs     : [Ben16] Benzmueller (2016), Email to Geoff Sutcliffe
% Source   : [Ben16]
% Names    : Sledgehammer_Inconsistency_S5U_direct_satallax.p [Ben16]

% Status   : Theorem
% Rating   : 0.75 v7.0.0, 0.71 v6.4.0
% Syntax   : Number of formulae    :   17 (   1 unit;   7 type;   0 defn)
%            Number of atoms       :   81 (   3 equality;  56 variable)
%            Maximal formula depth :   13 (   6 average)
%            Number of connectives :   69 (   4   ~;   0   |;   1   &;  51   @)
%                                         (   0 <=>;  13  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :   33 (  33   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   10 (   7   :;   0   =)
%            Number of variables   :   32 (   0 sgn;  20   !;   1   ?;  11   ^)
%                                         (  32   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem file has been generated by Sledgehammer (satallax
%            translation) in default setting.
%          : The $false conjecture makes this correspond to the Isabelle
%            sources. Otherwise it could be omitted and the status would be
%            Unsatisfiable.
%------------------------------------------------------------------------------
%----Could-be-implicit typings (2)
thf(ty_n_t__QML____S5__O__092__060mu__062, type,
    qML_mu : $tType).
thf(ty_n_t__QML____S5__Oi, type,
    qML_i : $tType).

%----Explicit typings (5)
thf(sy_c_Inconsistency__S5_OG, type,
    inconsistency_G : qML_mu > qML_i > $o).
thf(sy_c_Inconsistency__S5_ONE_001t__QML____S5__O__092__060mu__062, type,
    incons1905966852QML_mu : qML_mu > qML_i > $o).
thf(sy_c_Inconsistency__S5_OP, type,
    inconsistency_P : (qML_mu > qML_i > $o) > qML_i > $o).
thf(sy_c_Inconsistency__S5_Oess_001t__QML____S5__O__092__060mu__062, type,
    incons1389517216QML_mu : (qML_mu > qML_i > $o) > qML_mu > qML_i > $o).
thf(sy_c_QML__S5_Or, type,
    qML_r : qML_i > qML_i > $o).

%----Relevant facts (9)
thf(fact_0_A1a, axiom,
    ((![W : qML_i, X : qML_mu > qML_i > $o]: ((inconsistency_P @ (^[Y : qML_mu]: (^[Z : qML_i]: (~ ((X @ Y @ Z))))) @ W) => (~ ((inconsistency_P @ X @ W))))))). % A1a
thf(fact_1_A1b, axiom,
    ((![W : qML_i, X : qML_mu > qML_i > $o]: ((~ ((inconsistency_P @ X @ W))) => (inconsistency_P @ (^[Y : qML_mu]: (^[Z : qML_i]: (~ ((X @ Y @ Z))))) @ W))))). % A1b
thf(fact_2_A2, axiom,
    ((![W : qML_i, X : qML_mu > qML_i > $o, Xa : qML_mu > qML_i > $o]: (((inconsistency_P @ X @ W) & (![V : qML_i]: ((qML_r @ W @ V) => (![Xb : qML_mu]: ((X @ Xb @ V) => (Xa @ Xb @ V)))))) => (inconsistency_P @ Xa @ W))))). % A2
thf(fact_3_A3, axiom,
    ((![X_1 : qML_i]: (inconsistency_P @ inconsistency_G @ X_1)))). % A3
thf(fact_4_A4, axiom,
    ((![W : qML_i, X : qML_mu > qML_i > $o]: ((inconsistency_P @ X @ W) => (![V2 : qML_i]: ((qML_r @ W @ V2) => (inconsistency_P @ X @ V2))))))). % A4
thf(fact_5_A5, axiom,
    ((![X_1 : qML_i]: (inconsistency_P @ incons1905966852QML_mu @ X_1)))). % A5
thf(fact_6_G__def, axiom,
    ((inconsistency_G = (^[X2 : qML_mu]: (^[W2 : qML_i]: (![Y : qML_mu > qML_i > $o]: (((inconsistency_P @ Y @ W2)) => ((Y @ X2 @ W2))))))))). % G_def
thf(fact_7_NE__def, axiom,
    ((incons1905966852QML_mu = (^[X2 : qML_mu]: (^[W2 : qML_i]: (![Y : qML_mu > qML_i > $o]: (((incons1389517216QML_mu @ Y @ X2 @ W2)) => ((![V3 : qML_i]: (((qML_r @ W2 @ V3)) => ((?[Z : qML_mu]: (Y @ Z @ V3))))))))))))). % NE_def
thf(fact_8_ess__def, axiom,
    ((incons1389517216QML_mu = (^[Phi : qML_mu > qML_i > $o]: (^[X2 : qML_mu]: (^[W2 : qML_i]: (![Y : qML_mu > qML_i > $o]: (((Y @ X2 @ W2)) => ((![V3 : qML_i]: (((qML_r @ W2 @ V3)) => ((![Z : qML_mu]: (((Phi @ Z @ V3)) => ((Y @ Z @ V3)))))))))))))))). % ess_def

%----Conjectures (1)
thf(conj_0, conjecture,
    ($false)).
