%------------------------------------------------------------------------------
% File     : SEU828^1 : TPTP v7.0.0. Released v3.7.0.
% Domain   : Set Theory
% Problem  : About powersets 1
% Version  : Especial.
% English  :

% Refs     : [BB05]  Benzmueller & Brown (2005), A Structured Set of Higher
%          : [Ben09] Benzmueller (2009), Email to Geoff Sutcliffe
% Source   : [Ben09]
% Names    : Example 22c [BB05]

% Status   : Theorem
% Rating   : 0.25 v7.0.0, 0.14 v6.4.0, 0.17 v6.3.0, 0.20 v6.2.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.20 v5.3.0, 0.40 v5.2.0, 0.20 v4.1.0, 0.00 v4.0.1, 0.33 v3.7.0
% Syntax   : Number of formulae    :    9 (   0 unit;   4 type;   4 defn)
%            Number of atoms       :   26 (   5 equality;  11 variable)
%            Maximal formula depth :    7 (   5 average)
%            Number of connectives :   11 (   0   ~;   0   |;   0   &;   9   @)
%                                         (   1 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :   25 (  25   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    7 (   4   :;   0   =)
%            Number of variables   :   10 (   1 sgn;   2   !;   0   ?;   8   ^)
%                                         (  10   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : 
%------------------------------------------------------------------------------
thf(seteq_type,type,(
    seteq: ( ( $i > $o ) > $o ) > ( ( $i > $o ) > $o ) > $o )).

thf(seteq,definition,
    ( seteq
    = ( ^ [X: ( $i > $o ) > $o,Y: ( $i > $o ) > $o] :
        ! [U: $i > $o] :
          ( ( X @ U )
        <=> ( Y @ U ) ) ) )).

thf(subseteq_type,type,(
    subseteq: ( $i > $o ) > ( $i > $o ) > $o )).

thf(subseteq,definition,
    ( subseteq
    = ( ^ [X: $i > $o,Y: $i > $o] :
        ! [U: $i] :
          ( ( X @ U )
         => ( Y @ U ) ) ) )).

thf(powerset_type,type,(
    powerset: ( $i > $o ) > ( $i > $o ) > $o )).

thf(poserset,definition,
    ( powerset
    = ( ^ [X: $i > $o,Y: $i > $o] :
          ( subseteq @ Y @ X ) ) )).

thf(emptyset_type,type,(
    emptyset: $i > $o )).

thf(emptyset,definition,
    ( emptyset
    = ( ^ [X: $i] : $false ) )).

thf(conj,conjecture,
    ( seteq @ ( powerset @ emptyset )
    @ ^ [X: $i > $o] : ( X = emptyset ) )).

%------------------------------------------------------------------------------
