%------------------------------------------------------------------------------
% File     : SEV040^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory (Relations)
% Problem  : TPS problem from EQUIVALENCE-RELATIONS-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1214 [Bro09]

% Status   : Theorem
% Rating   : 0.25 v7.0.0, 0.14 v6.4.0, 0.17 v6.3.0, 0.20 v6.2.0, 0.29 v5.5.0, 0.33 v5.4.0, 0.40 v5.1.0, 0.60 v4.1.0, 0.33 v4.0.1, 1.00 v4.0.0
% Syntax   : Number of formulae    :    2 (   0 unit;   1 type;   0 defn)
%            Number of atoms       :  127 (   8 equality; 119 variable)
%            Maximal formula depth :   19 (  10 average)
%            Number of connectives :  110 (   0   ~;   0   |;  24   &;  70   @)
%                                         (   0 <=>;  16  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :   18 (  18   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    3 (   1   :;   0   =)
%            Number of variables   :   44 (   0 sgn;  40   !;   0   ?;   4   ^)
%                                         (  44   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : May require description or choice.
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cTHM515_pme,conjecture,
    ( ! [Xx: a > a > $o,Xy: a > a > $o] :
        ( ( ! [Xx0: a,Xy0: a] :
              ( ( Xx @ Xx0 @ Xy0 )
             => ( Xx @ Xy0 @ Xx0 ) )
          & ! [Xx0: a,Xy0: a,Xz: a] :
              ( ( ( Xx @ Xx0 @ Xy0 )
                & ( Xx @ Xy0 @ Xz ) )
             => ( Xx @ Xx0 @ Xz ) )
          & ( Xx = Xy ) )
       => ( ! [Xx0: a,Xy0: a] :
              ( ( Xy @ Xx0 @ Xy0 )
             => ( Xy @ Xy0 @ Xx0 ) )
          & ! [Xx0: a,Xy0: a,Xz: a] :
              ( ( ( Xy @ Xx0 @ Xy0 )
                & ( Xy @ Xy0 @ Xz ) )
             => ( Xy @ Xx0 @ Xz ) )
          & ( Xy = Xx ) ) )
    & ! [Xx: a > a > $o,Xy: a > a > $o,Xz: a > a > $o] :
        ( ( ! [Xx0: a,Xy0: a] :
              ( ( Xx @ Xx0 @ Xy0 )
             => ( Xx @ Xy0 @ Xx0 ) )
          & ! [Xx0: a,Xy0: a,Xz0: a] :
              ( ( ( Xx @ Xx0 @ Xy0 )
                & ( Xx @ Xy0 @ Xz0 ) )
             => ( Xx @ Xx0 @ Xz0 ) )
          & ( Xx = Xy )
          & ! [Xx0: a,Xy0: a] :
              ( ( Xy @ Xx0 @ Xy0 )
             => ( Xy @ Xy0 @ Xx0 ) )
          & ! [Xx0: a,Xy0: a,Xz0: a] :
              ( ( ( Xy @ Xx0 @ Xy0 )
                & ( Xy @ Xy0 @ Xz0 ) )
             => ( Xy @ Xx0 @ Xz0 ) )
          & ( Xy = Xz ) )
       => ( ! [Xx0: a,Xy0: a] :
              ( ( Xx @ Xx0 @ Xy0 )
             => ( Xx @ Xy0 @ Xx0 ) )
          & ! [Xx0: a,Xy0: a,Xz0: a] :
              ( ( ( Xx @ Xx0 @ Xy0 )
                & ( Xx @ Xy0 @ Xz0 ) )
             => ( Xx @ Xx0 @ Xz0 ) )
          & ( Xx = Xz ) ) )
    & ( ( ^ [Xp: a > a > $o,Xq: a > a > $o] :
            ( ! [Xx: a,Xy: a] :
                ( ( Xp @ Xx @ Xy )
               => ( Xp @ Xy @ Xx ) )
            & ! [Xx: a,Xy: a,Xz: a] :
                ( ( ( Xp @ Xx @ Xy )
                  & ( Xp @ Xy @ Xz ) )
               => ( Xp @ Xx @ Xz ) )
            & ( Xp = Xq ) ) )
      = ( ^ [Xp: a > a > $o,Xq: a > a > $o] :
            ( ! [Xx: a,Xy: a] :
                ( ( Xp @ Xx @ Xy )
               => ( Xp @ Xy @ Xx ) )
            & ! [Xx: a,Xy: a,Xz: a] :
                ( ( ( Xp @ Xx @ Xy )
                  & ( Xp @ Xy @ Xz ) )
               => ( Xp @ Xx @ Xz ) )
            & ( Xp = Xq ) ) ) ) )).

%------------------------------------------------------------------------------
