%------------------------------------------------------------------------------
% File     : SEV387^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory
% Problem  : TPS problem GAZING-THM44
% Version  : Especial.
% English  :

% Refs     : [Bar92] Barker-Plummer D (1992), Gazing: An Approach to the Pr
%          : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0489 [Bro09]
%          : 44 [Bar92]
%          : GAZING-THM44 [TPS]

% Status   : Theorem
% Rating   : 0.12 v7.0.0, 0.14 v6.4.0, 0.17 v6.3.0, 0.20 v6.2.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.20 v5.1.0, 0.40 v5.0.0, 0.20 v4.1.0, 0.00 v4.0.1, 0.33 v4.0.0
% Syntax   : Number of formulae    :    2 (   0 unit;   1 type;   0 defn)
%            Number of atoms       :   27 (   1 equality;  26 variable)
%            Maximal formula depth :   12 (   7 average)
%            Number of connectives :   28 (   4   ~;   2   |;   9   &;  13   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    3 (   1   :;   0   =)
%            Number of variables   :    5 (   0 sgn;   3   !;   0   ?;   2   ^)
%                                         (   5   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cGAZING_THM44_pme,conjecture,(
    ! [S: a > $o,T: a > $o,U: a > $o] :
      ( ( ^ [Xx: a] :
            ( ( S @ Xx )
            & ( ( ( T @ Xx )
                & ~ ( U @ Xx ) )
              | ( ( U @ Xx )
                & ~ ( T @ Xx ) ) ) ) )
      = ( ^ [Xz: a] :
            ( ( ( S @ Xz )
              & ( T @ Xz )
              & ~ ( ( S @ Xz )
                  & ( U @ Xz ) ) )
            | ( ( S @ Xz )
              & ( U @ Xz )
              & ~ ( ( S @ Xz )
                  & ( T @ Xz ) ) ) ) ) ) )).

%------------------------------------------------------------------------------
