%------------------------------------------------------------------------------
% File     : SYO062^4.004 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Logic Calculi (Intuitionistic logic)
% Problem  : ILTP Problem SYJ105+1.004
% Version  : [Goe33] axioms.
% English  :

% Refs     : [Goe33] Goedel (1933), An Interpretation of the Intuitionistic
%          : [Gol06] Goldblatt (2006), Mathematical Modal Logic: A View of
%          : [ROK06] Raths et al. (2006), The ILTP Problem Library for Intu
%          : [Ben09] Benzmueller (2009), Email to Geoff Sutcliffe
%          : [BP10]  Benzmueller & Paulson (2009), Exploring Properties of
% Source   : [Ben09]
% Names    : SYJ105+1.004 [ROK06]

% Status   : Theorem
% Rating   : 1.00 v4.0.0
% Syntax   : Number of formulae    :   45 (   0 unit;  23 type;  19 defn)
%            Number of atoms       :  134 (  19 equality;  48 variable)
%            Maximal formula depth :   10 (   5 average)
%            Number of connectives :   77 (   3   ~;   1   |;   2   &;  69   @)
%                                         (   0 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :   98 (  98   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   26 (  23   :;   0   =)
%            Number of variables   :   40 (   1 sgn;   7   !;   2   ?;  31   ^)
%                                         (  40   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This is an ILTP problem embedded in TH0
%------------------------------------------------------------------------------
include('Axioms/LCL010^0.ax').
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $i > $o )).

thf(b_type,type,(
    b: $i > $o )).

thf(c_type,type,(
    c: $i > $o )).

thf(con,conjecture,
    ( ivalid @ ( inot @ ( inot @ ( ior @ ( iand @ ( iatom @ a ) @ ( iand @ ( iatom @ b ) @ ( iatom @ c ) ) ) @ ( ior @ ( inot @ ( iatom @ a ) ) @ ( ior @ ( inot @ ( iatom @ b ) ) @ ( inot @ ( iatom @ c ) ) ) ) ) ) ) )).

%------------------------------------------------------------------------------
