%------------------------------------------------------------------------------
% File     : SYO360^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem EDEC1
% Version  : Especial.
% English  : A version of EDEC from [Ben99] using = instead of LeibEq.

% Refs     : [Ben99] Benzmueller (1999), Equality and Extensionality in Hig
%          : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0290 [Bro09]
%          : EDEC1 [TPS]

% Status   : Theorem
% Rating   : 0.25 v7.0.0, 0.14 v6.4.0, 0.17 v6.3.0, 0.20 v6.2.0, 0.29 v6.1.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.40 v5.3.0, 0.60 v4.1.0, 0.67 v4.0.1, 1.00 v4.0.0
% Syntax   : Number of formulae    :    6 (   0 unit;   5 type;   0 defn)
%            Number of atoms       :   17 (   3 equality;   6 variable)
%            Maximal formula depth :    8 (   4 average)
%            Number of connectives :   10 (   0   ~;   0   |;   1   &;   8   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    9 (   9   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    6 (   5   :;   0   =)
%            Number of variables   :    3 (   0 sgn;   3   !;   0   ?;   0   ^)
%                                         (   3   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(j,type,(
    j: a > a )).

thf(g,type,(
    g: ( a > a ) > a > a )).

thf(h,type,(
    h: a > a )).

thf(f,type,(
    f: ( a > a ) > a > a )).

thf(cEDEC1,conjecture,
    ( ( ! [X: a > a,Y: a] :
          ( ( f @ X @ Y )
          = ( g @ X @ Y ) )
      & ! [Z: a] :
          ( ( h @ Z )
          = ( j @ Z ) ) )
   => ( ( f @ h )
      = ( g @ j ) ) )).

%------------------------------------------------------------------------------
